OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions | Variables
base.h File Reference

rmaps framework base functionality. More...

`#include "orte_config.h"`
`#include "orte/types.h"`
`#include "opal/class/opal_list.h"`
`#include "opal/mca/mca.h"`
`#include "orte/runtime/orte_globals.h"`
`#include "orte/mca/rmaps/rmaps.h"`

Go to the source code of this file.

## Data Structures
struct | orte_rmaps_base_t
| Struct to hold data global to the rmaps framework. More...
struct | orte_rmaps_base_selected_module_t
| Select an rmaps component / module. More...

## Functions
BEGIN_C_DECLS ORTE_DECLSPEC int | orte_rmaps_base_open (void)
| Open the rmaps framework. More...
| OBJ_CLASS_DECLARATION (orte_rmaps_base_selected_module_t)
ORTE_DECLSPEC int | orte_rmaps_base_select (void)
ORTE_DECLSPEC int | orte_rmaps_base_get_vpid_range (orte_jobid_t jobid, orte_vpid_t *start, orte_vpid_t *range)
| Utility routines to get/set vpid mapping for the job.
ORTE_DECLSPEC int | orte_rmaps_base_set_vpid_range (orte_jobid_t jobid, orte_vpid_t start, orte_vpid_t range)
ORTE_DECLSPEC char * | orte_rmaps_base_print_mapping (orte_mapping_policy_t mapping)
ORTE_DECLSPEC char * | orte_rmaps_base_print_ranking (orte_ranking_policy_t ranking)
ORTE_DECLSPEC int | orte_rmaps_base_close (void)
| Close down the rmaps framework.
ORTE_DECLSPEC int | orte_rmaps_base_filter_nodes (orte_app_context_t *app, opal_list_t *nodes, bool remove)

## Variables
ORTE_DECLSPEC orte_rmaps_base_t | orte_rmaps_base
| Global instance of rmaps-wide framework data.

## Detailed Description

rmaps framework base functionality.

## Function Documentation

ORTE_DECLSPEC int orte_rmaps_base_filter_nodes | ( | orte_app_context_t * | app,
|  | opal_list_t * | nodes,
|  | bool | remove
| ) |  |

check that anything is here

check that anything is here

check that anything is left!

check that anything is left!

References orte_app_context_t::app, orte_app_context_t::dash_host, opal_list_get_size(), and orte_show_help().

Referenced by orte_rmaps_base_get_target_nodes().

BEGIN_C_DECLS ORTE_DECLSPEC int orte_rmaps_base_open | ( | void |  | ) |

Open the rmaps framework.

Open the rmaps framework.

default condition that allows oversubscription

force oversubscription permission

References orte_rmaps_base_t::available_components, mca_base_param_lookup_int(), mca_base_param_reg_int_name(), mca_base_param_reg_string_name(), mca_base_param_reg_syn_name(), OBJ_CONSTRUCT, opal_argv_count(), opal_argv_free(), opal_argv_split(), opal_output_open(), orte_show_help(), and orte_rmaps_base_t::rmaps_output.